# $Revision: 1.17.2.4 $, $Date: 2007/03/08 14:17:58 $
#
# Conditional build:
%bcond_without	gecko		# don't build gecko html renderer
#
%include	/usr/lib/rpm/macros.mono
Summary:	Mono Tools
Summary(pl):	Narzdzia do mono
Name:		mono-tools
Version:	1.2.3
Release:	2
License:	GPL
Group:		Development/Tools
Source0:	http://go-mono.com/sources/mono-tools/%{name}-%{version}.tar.gz
# Source0-md5:	c52378128076b57ee8718ddb16725336
URL:		http://www.go-mono.com/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gecko:BuildRequires:	dotnet-gecko-sharp2-devel >= 0.11}
BuildRequires:	dotnet-gtk-sharp2-gnome-devel
BuildRequires:	mono-compat-links
BuildRequires:	monodoc >= 1.1.16
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(monoautodeps)
Requires:	mono-tools-html-renderer
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%description -l pl
Mono Tools jest kolekcj rozwojowych i testowych programw oraz
narzdzi do uycia z Mono.

%package gecko
Summary:	Gecko based monodoc HTML renderer
Summary(pl):	Oparty na gecko wywietlacz HTML-a dla monodoc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Provides:	mono-tools-html-renderer

%description gecko
Gecko based monodoc HTML renderer. Used instead of GtkHTML based
renderer.

%description gecko -l pl
Oparty na gecko wywietlacz HTML-a dla monodoc. Jest uywany zamiast
wywietlacza opartego na GtkHTML.

%package gtkhtml
Summary:	GtkHTML based monodoc HTML renderer
Summary(pl):	Oparty na GtkHTML wywietlacz HTML-a dla monodoc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Provides:	mono-tools-html-renderer

%description gtkhtml
GtkHTML based monodoc HTML renderer.

%description gtkhtml -l pl
Oparty na GtkHTML wywietlacz HTML-a dla monodoc.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	assemblydir=%{_libdir}/create-native-map \
	monodocdir=%{_libdir}/monodoc \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/create-native-map
%attr(755,root,root) %{_bindir}/gasnview
%attr(755,root,root) %{_bindir}/gnunit
%attr(755,root,root) %{_bindir}/gnunit2
%{_prefix}/lib/mono/1.0/*
%{_prefix}/lib/mono/2.0/*
%{_libdir}/create-native-map
%{_libdir}/monodoc/browser.exe
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_pkgconfigdir}/*.pc
%{_mandir}/man1/create-native-map.1*

%if %{with gecko}
%files gecko
%defattr(644,root,root,755)
%{_libdir}/monodoc/GeckoHtmlRender.dll
%endif

%files gtkhtml
%defattr(644,root,root,755)
%{_libdir}/monodoc/GtkHtmlHtmlRender.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mono-tools.spec,v $
Revision 1.17.2.4  2007/03/08 14:17:58  qboosh
- release 2: rebuild with restored mono() deps

Revision 1.17.2.3  2007/02/17 16:15:23  qboosh
- lib64 fixes

Revision 1.17.2.2  2007/02/17 16:11:47  qboosh
- gtk-sharp2

Revision 1.17.2.1  2007/02/17 15:57:31  qboosh
- merged 1.2.3 from HEAD

Revision 1.17  2005/12/03 14:46:24  qboosh
- monodoc currently uses arch-dependent libdir
- release 2

Revision 1.16  2005/11/30 16:05:45  freetz
- exclude i386 alpha sparc sparc64 from build

Revision 1.15  2005/11/10 20:34:43  wolf
- corrected descriptions

Revision 1.14  2005/11/10 19:34:21  wolf
- 1.1.10

Revision 1.13  2005/09/14 19:35:03  wolf
- separated gecko renderer
- rel 2

Revision 1.12  2005/09/14 13:58:37  wolf
- use gecko for rendering (make separate package?)

Revision 1.11  2005/09/09 19:06:28  wolf
- 1.1.9
- moved %post from monodoc to mono-tools

Revision 1.10  2005/09/04 11:36:13  arekm
- rel 3; fix browser.exe path

Revision 1.9  2005/09/04 11:10:51  qboosh
- it seems to BR: monodoc >= 1.0.7 (Monodoc.RootTree.UncompiledHelpSource)

Revision 1.8  2005/08/31 10:41:52  arekm
- add BR dotnet-gtk-sharp-gnome-devel

Revision 1.7  2005/08/11 23:41:52  wolf
- s/rpm-build >= 4.4.2-0.3/rpmbuild(monoautodeps)/

Revision 1.6  2005/08/11 18:59:11  wolf
- auto mono prov/req

Revision 1.5  2005/07/28 17:46:58  pawcioos
- removed monodoc (in monodoc.spec)

Revision 1.4  2005/07/21 21:35:05  pawcioos
- fixed prefix dir

Revision 1.3  2005/07/20 17:21:21  pawcioos
- added BR: mono-compat-links

Revision 1.2  2005/07/20 16:34:19  pawcioos
- cosmetics changelog

Revision 1.1  2005/07/20 16:26:15  pawcioos
- new
